# frozen_string_literal: true
# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'date'
require 'get_your_rep/version'

Gem::Specification.new do |s|
  s.name                     = 'get_your_rep'
  s.version                  = GetYourRep::VERSION
  s.date                     = Date.today.to_s
  s.required_ruby_version    = '>= 2.0.0'
  s.add_dependency             'httparty', '~> 0'
  s.add_dependency             'geocoder', '~> 1.4', '>= 1.4.1'
  s.add_dependency             'colorize', '~> 0.8.1'
  s.add_development_dependency 'pry',      '~> 0'
  s.add_development_dependency 'minitest', '~> 5.10', '>= 5.10.1'
  s.add_development_dependency 'minitest-reporters', '~> 1.1', '>= 1.1.13'
  s.add_development_dependency 'rake', '~> 12.0'
  s.summary       = 'Get yo\' rep!'
  s.description   = 'Get your rep(s) from Google\'s Civic Information API and Open States. '\
    'Formerly get-your-rep.'
  s.authors     = ['msimonborg']
  s.email       = 'msimonborg@gmail.com'
  s.homepage    = 'https://github.com/msimonborg/get-your-rep'
  s.license     = 'MIT'
  s.files       = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  s.bindir      = 'exe'
  s.executables = s.files.grep(%r{^exe/}) { |f| File.basename(f) }
  s.require_paths = ['lib']
end
